<?php
/*
Plugin Name: bbPress - Sub & Fav Parse Args
Plugin URI: https://bbpress.trac.wordpress.org/ticket/2581#comment:2
Description: bbPress - Sub & Fav Parse Args
Version: 0.1
Author: Stephen Edgar - @netweb
Author URI: https://bbpress.trac.wordpress.org/ticket/2581#comment:2
*/

// Forum Subscriptions
function forum_sub ($args = array() ) {
	$args['before']      = 'FS_BEFORE';
	$args['after']       = 'FS_AFTER';
	$args['subscribe']   = 'FS_SUBSCRIBE';
	$args['unsubscribe'] = 'FS_UNSUBSCRIBE';

	return $args;
}
add_filter('bbp_before_get_forum_subscribe_link_parse_args', 'forum_sub');

// Topic Subscriptions
function topic_sub ($args = array() ) {
	$args['before']      = 'TS_BEFORE';
	$args['after']       = 'TS_AFTER';
	$args['subscribe']   = 'TS_SUBSCRIBE';
	$args['unsubscribe'] = 'TS_UNSUBSCRIBE';

	return $args;
}
add_filter('bbp_before_get_topic_subscribe_link_parse_args', 'topic_sub');

// Topic Favorites
function topic_fav ($args = array() ) {
	$args['before']    = 'TF_BEFORE';
	$args['after']     = 'TF_AFTER';
	$args['favorite']  = 'TF_FAVORITE';
	$args['favorited'] = 'TF_FAVORITED';

	return $args;
}
add_filter('bbp_before_get_topic_favorite_link_parse_args', 'topic_fav');

// User Subscriptions
function user_sub ($args = array() ) {
	$args['before']      = 'US_BEFORE';
	$args['after']       = 'US_AFTER';
	$args['subscribe']   = 'US_SUBSCRIBE';
	$args['unsubscribe'] = 'US_UNSUBSCRIBE';

	return $args;
}
add_filter('bbp_before_bbp_get_user_subscribe_link_parse_args', 'user_sub');

// User Favorites
function user_fav ($args = array() ) {
	$args['before']    = 'UF_BEFORE';
	$args['after']     = 'UF_AFTER';
	$args['favorite']  = 'UF_FAVORITE';
	$args['favorited'] = 'UF_FAVORITED';

	return $args;
}
add_filter('bbp_before_get_user_favorite_link_parse_args', 'user_fav');
